This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 172818 - Allow ldapserver rpm to be made externally
Allow ldapserver rpm to be made externally
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2005-11-09 20:02 EST by Rich Megginson
Modified: 2015-12-07 12:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Files fixed (80 bytes, text/plain)
2005-11-09 20:02 EST, Rich Megginson
no flags Details
Diffs for fix (3.89 KB, text/plain)
2005-11-09 20:03 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2005-11-09 20:02:55 EST
The build process for making the ldapserver rpm depends on the branding stuff
and the reltools stuff.  We need a way to create the rpm without these tools.
There is also a problem with the spec file - the setup -b step just exits after
the dsktune step, and offers no reason why.  Running from the command line works
fine.  This is on FC4.
The tar command on FC4 is stricter - all of the command line options must come
before the directory to tar.
The rpm build process needs to be made a little more dsbuild friendly.
Comment 1 Rich Megginson 2005-11-09 20:02:55 EST
Created attachment 120865 [details]
Files fixed
Comment 2 Rich Megginson 2005-11-09 20:03:17 EST
Created attachment 120866 [details]
Diffs for fix
Comment 3 Rich Megginson 2005-11-09 20:32:48 EST
Reviewed by: Noriko (Thanks!)
Files: https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120865
Branch: HEAD
Fix Description: Just use a simple sed command to replace the tokens in 
the spec.tmpl file.  Just assume Fedora branding for this.  For some 
reason, on FC4, the setup -b step does not work unless I added a second 
echo yes to the command.  The tar command used by the rpmbuild step must 
have all of the command line arguments before the directory to tar.  I 
moved some things around to make the rpm build process more dsbuild 
friendly.
Platforms tested: FC4
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none
Comment 4 Anh Nguyen 2007-12-03 10:49:00 EST
Changed QA Whiteboard to to_be_verified_by_dev.
Comment 5 Nathan Kinder 2007-12-14 18:23:58 EST
The fedora-ds-base RPM can be built externally fine now.  It is even part of the
Fedora distribution, which requires it to be buildable using only packages
available in the Fedora distribution.  Marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.